Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
devsettings::Snmp Interface Reference

SNMP agent settings interface. More...

`import <Snmp.idl;`

## Classes
struct | Configuration
| SNMP agent configuration. More...
struct | ConfigurationChangedEvent

## Public Member Functions
Configuration | getConfiguration ()
| Retrieve the SNMP agent configuration.
int | setConfiguration (in Configuration cfg)
| Set the SNMP agent configuration.
string | getV3EngineId ()
| Retrieve the SNMP V3 Engine ID.

## Public Attributes
constant int | ERR_INVALID_PARAMS = 1
| Invalid parameters.

## Detailed Description

SNMP agent settings interface.

Definition at line 14 of file Snmp.idl.

## Member Function Documentation

## ◆ getConfiguration()

Configuration devsettings::Snmp::getConfiguration | ( |  | ) |

Retrieve the SNMP agent configuration.

Returns
  SNMP agent configuration

## ◆ getV3EngineId()

string devsettings::Snmp::getV3EngineId | ( |  | ) |

Retrieve the SNMP V3 Engine ID.

Returns
  SNMP V3 Engine ID

## ◆ setConfiguration()

int devsettings::Snmp::setConfiguration | ( | in Configuration | cfg | ) |

Set the SNMP agent configuration.

Parameters

  cfg | New SNMP agent settings

Returns
  0 if OK
  1 if any parameters are invalid

## Member Data Documentation

## ◆ ERR_INVALID_PARAMS

constant int devsettings::Snmp::ERR_INVALID_PARAMS = 1

Invalid parameters.

Definition at line 16 of file Snmp.idl.

The documentation for this interface was generated from the following file:

- Snmp.idl